%define name		jamonapi
%define version		1.0
%define release		1jpp
%define section		free

Summary:	JAMon Java Application Monitor
URL:		http://jamonapi.sourceforge.net/
Source0:	JAMonAll_121003.zip
Source1:	jamonapi_build.xml

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	BSD-style License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.6.1
Requires:	jpackage-utils >= 0:1.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Java Application Monitor (JAMon) is a free, simple, 
high performance, thread safe, Java API that allows 
developers to easily monitor production applications. 
JAMon can be used to determine application performance 
bottlenecks, user/application interactions, and application 
scalability. JAMon gathers summary statistics such as hits, 
execution times (total, average, minimum, maximum, standard 
deviation), and simultaneous application requests. JAMon 
statistics are displayed in the clickable JAMon Report. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -q -c -n %{name}-%{version}
find . -name "*.jar" -exec rm {} \;
cp %{SOURCE1} build.xml

%build
export CLASSPATH=

ant dist javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 dist/lib/%{name}-%{version}.jar \
                   $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr JAMonUsersGuide $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr presentation $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr images $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p JAMonUsersGuide/JAMonLicense.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%{_javadir}/*
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/JAMonLicense.html

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/JAMonUsersGuide
%{_docdir}/%{name}-%{version}/presentation
%{_docdir}/%{name}-%{version}/images

%changelog
* Tue Dec 14 2004 Ralph Apel <r.apel@r-apel.de> 0:1.0-1jpp
- First JPackage release 
